Package org.eclipse.zest.layouts.algorithms

# Class RadialLayoutAlgorithm

java.lang.Object
org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm
org.eclipse.zest.layouts.algorithms.RadialLayoutAlgorithm

All Implemented Interfaces:
  `LayoutAlgorithm`

public class RadialLayoutAlgorithm extends AbstractLayoutAlgorithm
This layout will take the given entities, apply a tree layout to them, and then display the tree in a circular fashion with the roots in the center.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RadialLayoutAlgorithm.Zest1`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `RadialLayoutAlgorithm` instead.

## Field Summary

### Fields inherited from class org.eclipse.zest.layouts.algorithms.AbstractLayoutAlgorithm

`context`

## Constructor Summary

Constructors
Constructor
Description
`RadialLayoutAlgorithm()`
`RadialLayoutAlgorithm(int style)`
Deprecated.
Since Zest 2.0, use `RadialLayoutAlgorithm()`.

## Method Summary

Modifier and Type
Method
Description
`void`
`applyLayout(boolean clean)`
Makes this algorithm perform layout computation and apply it to its context.
`boolean`
`isResizing()`
`void`
`setLayoutContext(LayoutContext context)`
Sets the layout context for this algorithm.
`void`
`setRangeToLayout(double startDegree, double endDegree)`
Set the range the radial layout will use when applyLayout is called.
`void`
`setResizing(boolean resizing)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RadialLayoutAlgorithm

@Deprecated public RadialLayoutAlgorithm(int style)
Deprecated.
Since Zest 2.0, use `RadialLayoutAlgorithm()`.

### RadialLayoutAlgorithm

public RadialLayoutAlgorithm()

## Method Details

### applyLayout

public void applyLayout(boolean clean)
Description copied from interface: `LayoutAlgorithm`
Makes this algorithm perform layout computation and apply it to its context.

Parameters:
  `clean` - if true the receiver should assume that the layout context has changed significantly and recompute the whole layout even if it keeps track of changes with listeners. False can be used after dynamic layout in a context is turned back on so that layout algorithm working in background can apply accumulated changes. Static layout algorithm can ignore this call entirely if clean is false.

### setLayoutContext

public void setLayoutContext(LayoutContext context)
Description copied from interface: `LayoutAlgorithm`
Sets the layout context for this algorithm. The receiver will unregister from its previous layout context and register to the new one (registration means for example adding listeners). After a call to this method, the receiving algorithm can compute and cache internal data related to given context and perform an initial layout.

Specified by:
  `setLayoutContext` in interface `LayoutAlgorithm`
Overrides:
  `setLayoutContext` in class `AbstractLayoutAlgorithm`
Parameters:
  `context` - a new layout context or null if this algorithm should not perform any layout

### setRangeToLayout

public void setRangeToLayout(double startDegree, double endDegree)
Set the range the radial layout will use when applyLayout is called. Both values must be in radians.

### isResizing

public boolean isResizing()

Returns:
  true if this algorithm is set to resize elements
Since:
  2.0

### setResizing

public void setResizing(boolean resizing)

Parameters:
  `resizing` - true if this algorithm should resize elements (default is false)
Since:
  2.0